Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 216927 - After yum update X would not start properly
Summary: After yum update X would not start properly
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-22 19:03 UTC by Warren Sturm
Modified: 2018-04-11 12:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-26 16:06:35 UTC


Attachments (Terms of Use)
The xorg.conf file (deleted)
2007-01-02 21:43 UTC, Warren Sturm
no flags Details
The log file from the startup (deleted)
2007-01-02 21:47 UTC, Warren Sturm
no flags Details
Log for starting X without /etc/X11/xorg.conf (deleted)
2007-01-03 15:22 UTC, Warren Sturm
no flags Details
Log files (deleted)
2007-03-23 14:23 UTC, Warren Sturm
no flags Details

Description Warren Sturm 2006-11-22 19:03:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
On starting x the display would go black and the monitor ( a Dell 17 inch LCD) would behave as if there was no signal.  The monitor could not be revived without rebooting.  The X process would sit there spinning its wheels eating CPU time but ltrace and strace would not show anything.  The video adapter is a matrox.

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G550 AGP (rev 01)

The update replaced the X server.  reverting to the older x server from fc6 distribution and rebooting fixed the problem.  


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-47.1.fc6

How reproducible:
Always


Steps to Reproduce:
1. yum update
2. get out of X
3. startx


Actual Results:
as described above

Expected Results:
normal X display

Additional info:

Comment 1 Dariusz Garbowski 2006-11-23 02:17:54 UTC
Same here... I can login remotely vi ssh. However screen stays black (in power
save mode?) and cannot be revived, even after telinit 3.

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G550 AGP (rev 01)
xorg-x11-server-1.1.1-47.1.fc6

This however happens with xen kernel only. Non-xen kernel runs X just fine.
See also #216929

Comment 2 Matěj Cepl 2006-12-29 10:23:12 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Warren Sturm 2007-01-02 21:43:33 UTC
Created attachment 144669 [details]
The xorg.conf file

Comment 4 Warren Sturm 2007-01-02 21:47:48 UTC
Created attachment 144670 [details]
The log file from the startup

I will need to try the startup without the xorg.conf file later.  I have the
previous version of the server installed right now.

Comment 5 Warren Sturm 2007-01-03 15:22:32 UTC
Created attachment 144714 [details]
Log for starting X without /etc/X11/xorg.conf

Comment 6 Warren Sturm 2007-01-13 18:44:39 UTC
xorg-x11-server-Xorg-1.1.1-47.4.fc6 still does the same thing.

Comment 7 Warren Sturm 2007-02-04 20:46:51 UTC
org-x11-server-Xorg-1.1.1-47.5.fc6 is still affected.

Comment 8 Warren Sturm 2007-03-01 15:28:04 UTC
Same for xorg-x11-server-Xorg-1.1.1-47.6.fc6

Comment 9 Warren Sturm 2007-03-09 21:10:45 UTC
no change for xorg-x11-server-Xorg-1.1.1-47.7.fc6

Comment 10 Adam Jackson 2007-03-22 20:30:35 UTC
Try to ssh into the machine while it's in runlevel 3, and start X that way. 
(Just running 'X -verbose :0' will be fine.)  I'm wondering if there's some
extra output that's going to stdout but not to the X log.


Comment 11 Warren Sturm 2007-03-22 22:22:05 UTC
That is the way I run my X.  I'll upload a stderr file of output.  Is there
anyway to startup the video card as a workaround without having to reboot?

Comment 12 Warren Sturm 2007-03-23 14:23:01 UTC
Created attachment 150758 [details]
Log files

This contains the Xorg log files from /var/log and stdout and stderr from
startx for both 1.1.1-47 and 1.1.1-47.7.

Comment 13 Fedora Update System 2007-04-12 19:38:54 UTC
xorg-x11-server-1.1.1-47.9.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 14 Warren Sturm 2007-04-17 17:59:27 UTC
It is still present in the .9 version.  This is only with the xen kernel however
the last version of the xen kernel was oopsing and the current version crashes
back to bios within 5 minutes but that should be another bugzilla entry.

Comment 15 Matěj Cepl 2007-12-10 09:25:03 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 16 Warren Sturm 2007-12-11 05:49:49 UTC
I no longer have access to FC6 system with the Xen kernel.  I have yet to try
Xen  with Fedora 8.  It may conflict with my vmware setup. 

Comment 17 Matěj Cepl 2007-12-11 10:15:31 UTC
Does it mean that I should close this bug (because you don't care about Xen
anymore), or that you may eventually install Xen and so I should keep this open
(for reasonable time -- a month or so)?

Comment 18 Warren Sturm 2007-12-12 23:51:09 UTC
Well, I haven't really had much success with Xen.  I have Fedora 8 on the
problem system now.  The last attempt yesterday left my system with nautilus in
a crash/bug-report/restart loop and eventually the display would not update so I
guess unless someone else can pursue this, go ahead and close.  I will perhaps
try again if there is a new Xen kernel for Fedora 8.

Comment 19 Adam Jackson 2008-03-26 16:06:35 UTC
Closing per comment #18.  Sorry we couldn't figure this one out.


Note You need to log in before you can comment on or make changes to this bug.